unit UConfig;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TFormConfig = class(TForm)
    CheckBox1: TCheckBox;
    SpeedButton1: TSpeedButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    FontDialog1: TFontDialog;
    procedure SpeedButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure Config;
implementation
uses main;
{$R *.dfm}
procedure Config;
var  FormConfig: TFormConfig;
s:string;
begin
  Application.CreateForm(TFormConfig, FormConfig);
  with FormConfig do
  begin
    s:=ReadRegistry('KTOP_Reader','AutoUpdate');
    if s<>'N' then Checkbox1.Checked:=true else CheckBox1.Checked:=false;
    label1.Font:=fmmain.Font;
    label1.Caption:=label1.font.name+';'+inttostr(label1.font.Size);
    if showmodal=mrOK then
    begin
       if checkbox1.Checked then WriteRegistry('KTOP_Reader','AutoUpdate','Y')
       else WriteRegistry('KTOP_Reader','AutoUpdate','N');
       fmmain.Font.name:=label1.Font.Name;
       fmmain.Font.size:=label1.Font.size;
       WriteRegistry('KTOP_Reader','DefaultFontSize',inttostr(fmmain.font.size));
       WriteRegistry('KTOP_Reader','DefaultFontName',fmmain.font.Name);
    end;
    free;
  end;
end;
procedure TFormConfig.SpeedButton1Click(Sender: TObject);
begin
  fontdialog1.font:=label1.font;
  if fontdialog1.Execute then
  begin
     label1.font.Size:=fontdialog1.font.size;
     label1.font.name:=fontdialog1.font.name;
     label1.Caption:=label1.font.name+';'+inttostr(label1.font.Size);
  end;
end;

end.
